Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

getAddressBook

Prev Next

Available in Classic and VPC

Get the status of the recipient address books you have in your account.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /address-book

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request example

The following is a sample request.

curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/address-book' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
totalAddressCount Integer - Total number of email addresses
groups List - Recipient group information

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "totalAddressCount": 4300,
  "groups": [
    {
      "sid": 155,
      "groupName": "Teens",
      "addressCount": 3900
    },
    {
      "sid": 159,
      "groupName": "Male",
      "addressCount": 1000
    }
}